月別予算一覧取得
GET
/budget/{store_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/budget/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/budget/example \ --header 'Authorization: Bearer <token>'月別予算を取得します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_id
required
string
店舗ID
Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
ym:予算年月
limit
integer
上限数
page
integer
ページ
ym-from
string
予算年月(From)(YYYYMM形式)
ym-to
string
予算年月(To)(YYYYMM形式)
upd_date_time-from
string
更新日時(from):登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
※ From〜Toの期間は最大31日までの指定でご利用ください
upd_date_time-to
string
更新日時(to):登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
※ From〜Toの期間は最大31日までの指定でご利用ください
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
storeId
店舗毎に付与するID
string
ym
予算年月(YYYYMM形式)
string
salesTargetMonthly
売上金額の目標額(最大15桁)
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
[ { "storeId": "string", "ym": "string", "salesTargetMonthly": "string", "insDateTime": "string", "updDateTime": "string" }]- 更新日時のFrom/To片方しか設定されていない場合
- 更新日時のFrom-Toの範囲が上限を超えている場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "Bad Request", "detail": "範囲の終了を指定して下さい。(QUERY PARAMETER-{QUERY PARAMETER})", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "{範囲}の範囲で入力してください。(QUERY PARAMETER-{QUERY PARAMETER})", "status": 400}